#include <iostream>

using namespace std;

int main()
{
    int spoj1,spoj2,pol1,pol2;
    cin>>spoj1>>spoj2;
    cin>>pol1>>pol2;

    if(spoj1==pol1 && spoj2==pol2){
        cout<<"nijedan"<<endl;
    }
    else{
        if(spoj1==pol1){
            cout<<"drugi"<<endl;
        }
        else{
            if(spoj2==pol2){
                cout<<"prvi"<<endl;
            }
            else{
                cout<<"?"<<endl;
            }
        }
    }
    return 0;
}